## squeezelite 1.3.1

=== Makefile ===
# Cross compile support - create a Makefile which defines these three variables and then includes this Makefile...
CFLAGS  ?= -Wall -fPIC -O2 $(OPTS)
LDFLAGS ?= -lasound -lpthread -lm -lrt
EXECUTABLE ?= squeezelite

SOURCES = main.c slimproto.c utils.c output.c buffer.c stream.c decode.c process.c resample.c flac.c pcm.c mad.c vorbis.c faad.c mpg.c ffmpeg.c
DEPS    = squeezelite.h slimproto.h

UNAME   = $(shell uname -s)

ifneq (,$(findstring -DLINKALL, $(CFLAGS)))
	LDFLAGS += -lFLAC -lmad -lvorbisfile -lfaad -lmpg123
ifneq (,$(findstring -DFFMPEG, $(CFLAGS)))
	LDFLAGS += -lavcodec -lavformat -lavutil
endif
ifneq (,$(findstring -DRESAMPLE, $(CFLAGS)))
	LDFLAGS += -lsoxr
endif
else
# if not LINKALL and linux add -ldl
ifeq ($(UNAME), Linux)
	LDFLAGS += -ldl
endif
endif

OBJECTS = $(SOURCES:.c=.o)

all: $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) -o $@

$(OBJECTS): $(DEPS)

.c.o:
	$(CC) $(CFLAGS) $< -c -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

=== debian/changelog ===
squeezelite (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #729885)

 -- Chris Boot <debian@bootc.net>  Mon, 18 Nov 2013 15:44:55 +0000

=== debian/control ===
Source: squeezelite
Section: sound
Priority: extra
Maintainer: Chris Boot <debian@bootc.net>
Build-Depends: debhelper (>= 9~), libasound2-dev, libflac-dev, libmad0-dev,
 libvorbis-dev, libfaad-dev, libmpg123-dev, libsoxr-dev, libavformat-dev
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/squeezelite/
Vcs-Git: git://anonscm.debian.org/collab-maint/squeezelite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/squeezelite.git;a=summary

Package: squeezelite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight headless Squeezebox emulator
 Squeezelite is a small headless Squeezebox emulator. It is aimed at
 supporting high quality audio including USB DAC based output at multiple
 sample rates.
 .
 It supports decoding PCM (WAV/AIFF), FLAC, MP3, Ogg, AAC, WMA and ALAC
 audio formats. It can also resample audio, which allows squeezelite to
 upsample the output to the highest sample rate supported by the output
 device.
 .
 This package is built with the resampling, ffmpeg and visualisation export
 options. It uses ALSA for audio output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
# libraries
export OPTS=-DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL

%:
	dh $@

## squeezelite 1.4

=== Makefile ===
# Cross compile support - create a Makefile which defines these three variables and then includes this Makefile...
CFLAGS  ?= -Wall -fPIC -O2 $(OPTS)
LDFLAGS ?= -lasound -lpthread -lm -lrt
EXECUTABLE ?= squeezelite

# passing one or more of these in $(OPTS) enables optional feature inclusion
OPT_DSD     = -DDSD
OPT_FF      = -DFFMPEG
OPT_LINKALL = -DLINKALL
OPT_RESAMPLE= -DRESAMPLE
OPT_VIS     = -DVISEXPORT

SOURCES = \
	main.c slimproto.c buffer.c stream.c utils.c \
	output.c output_alsa.c output_pa.c output_stdout.c output_pack.c decode.c \
	flac.c pcm.c mad.c vorbis.c faad.c mpg.c

SOURCES_DSD      = dsd.c dop.c dsd2pcm/dsd2pcm.c
SOURCES_FF       = ffmpeg.c
SOURCES_RESAMPLE = process.c resample.c
SOURCES_VIS      = output_vis.c

LINK_LINUX       = -ldl

LINKALL          = -lFLAC -lmad -lvorbisfile -lfaad -lmpg123
LINKALL_FF       = -lavcodec -lavformat -lavutil
LINKALL_RESAMPLE = -lsoxr

DEPS             = squeezelite.h slimproto.h

UNAME            = $(shell uname -s)

# add optional sources
ifneq (,$(findstring $(OPT_DSD), $(CFLAGS)))
	SOURCES += $(SOURCES_DSD)
endif
ifneq (,$(findstring $(OPT_FF), $(CFLAGS)))
	SOURCES += $(SOURCES_FF)
endif
ifneq (,$(findstring $(OPT_RESAMPLE), $(CFLAGS)))
	SOURCES += $(SOURCES_RESAMPLE)
endif
ifneq (,$(findstring $(OPT_VIS), $(CFLAGS)))
	SOURCES += $(SOURCES_VIS)
endif

# add optional link options
ifneq (,$(findstring $(OPT_LINKALL), $(CFLAGS)))
	LDFLAGS += $(LINKALL)
ifneq (,$(findstring $(OPT_FF), $(CFLAGS)))
	LDFLAGS += $(LINKALL_FF)
endif
ifneq (,$(findstring $(OPT_RESAMPLE), $(CFLAGS)))
	LDFLAGS += $(LINKALL_RESAMPLE)
endif
else
# if not LINKALL and linux add LINK_LINUX
ifeq ($(UNAME), Linux)
	LDFLAGS += $(LINK_LINUX)
endif
endif

OBJECTS = $(SOURCES:.c=.o)

all: $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) -o $@

$(OBJECTS): $(DEPS)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -c -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

=== debian/changelog ===
squeezelite (1.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh Makefile-tweaks.patch due to Makefile rewrite.
  * Enable full hardening build flags:
    - Add DEB_BUILD_MAINT_OPTIONS := hardening=+all
  * Add squeezelite-pa compiled with PortAudio instead of ALSA:
    - Add new squeezelite-pa binary package
    - Add Build-Depends on portaudio19-dev
    - Add Makefile-portaudio.patch
    - Adjust debian/rules to build twice with different options
    - Minor shuffling around to accommodate the new package
  * Remove no-upstream-changelog lintian override now that there is one.
  * Add lintian override for debian-watch-may-check-gpg-signature; no signatures
    are available.
  * Fix typo: suppored/supported (typo-fix-suppored.patch).
  * Update man page to document new/changed options.
  * Update debian/copyright for included dsd2pcm source.
  * Enable DSD (Direct Stream Digital) and DoP (DSD over PCM).
  * Confine to linux-any for the time being; builds fail on kFreeBSD / Hurd.

 -- Chris Boot <debian@bootc.net>  Thu, 09 Jan 2014 09:54:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: extra
 Maintainer: Chris Boot <debian@bootc.net>
 Build-Depends: debhelper (>= 9~), libasound2-dev, libflac-dev, libmad0-dev,
- libvorbis-dev, libfaad-dev, libmpg123-dev, libsoxr-dev, libavformat-dev
+ libvorbis-dev, libfaad-dev, libmpg123-dev, libsoxr-dev, libavformat-dev,
+ portaudio19-dev
 Standards-Version: 3.9.5
 Homepage: https://code.google.com/p/squeezelite/
 Vcs-Git: git://anonscm.debian.org/collab-maint/squeezelite.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/squeezelite.git;a=summary
 
 Package: squeezelite
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: lightweight headless Squeezebox emulator
+Conflicts: squeezelite-pa
+Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
  supporting high quality audio including USB DAC based output at multiple
  sample rates.
@@ -24,3 +26,21 @@
  .
  This package is built with the resampling, ffmpeg and visualisation export
  options. It uses ALSA for audio output.
+
+Package: squeezelite-pa
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: squeezelite
+Provides: squeezelite
+Description: lightweight headless Squeezebox emulator - PortAudio version
+ Squeezelite is a small headless Squeezebox emulator. It is aimed at
+ supporting high quality audio including USB DAC based output at multiple
+ sample rates.
+ .
+ It supports decoding PCM (WAV/AIFF), FLAC, MP3, Ogg, AAC, WMA and ALAC
+ audio formats. It can also resample audio, which allows squeezelite to
+ upsample the output to the highest sample rate supported by the output
+ device.
+ .
+ This package is built with the resampling, ffmpeg and visualisation export
+ options. It uses PortAudio for audio output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
# libraries
export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL

# Enable all hardening build flags
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Re-enable compiler warning flags (CFLAGS overridden by dpkg-buildflags)
export DEB_CFLAGS_MAINT_PREPEND := -Wall

%:
	dh $@

override_dh_auto_build: build_squeezelite build_squeezelite-pa

override_dh_auto_clean: clean_squeezelite clean_squeezelite-pa
	# This is needed to fully clean built objects if the Makefile patches
	# are not applied.
	rm -f *.o dsd2pcm/*.o

override_dh_installinit:
	dh_installinit --name=squeezelite

build_squeezelite: clean_squeezelite
	dh_auto_build -- EXECUTABLE=squeezelite

clean_squeezelite:
	dh_auto_clean -- EXECUTABLE=squeezelite

build_squeezelite-pa: OPTS += -DPORTAUDIO
build_squeezelite-pa: clean_squeezelite-pa
	dh_auto_build -- EXECUTABLE=squeezelite-pa

clean_squeezelite-pa:
	dh_auto_clean -- EXECUTABLE=squeezelite-pa

.PHONY: build_squeezelite clean_squeezelite \
	build_squeezelite-pa clean_squeezelite-pa

## squeezelite 1.6.4

=== debian/changelog ===
squeezelite (1.6.4-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:34:26 +0100

squeezelite (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/man/squeezelite.1 with new -e option, remove list of codecs
    for the -c option, minor formatting tweaks.

 -- Chris Boot <debian@bootc.net>  Sun, 13 Jul 2014 16:52:16 +0100

squeezelite (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/typo-fix-suppored.patch: fixed upstream.
  * Update debian/man/squeezelite.1 with new delay arguments to -r and -D.

 -- Chris Boot <debian@bootc.net>  Sat, 12 Apr 2014 18:41:04 +0100

squeezelite (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Boot <debian@bootc.net>  Sat, 22 Mar 2014 22:32:51 +0000

## squeezelite 1.8

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 OPT_LINKALL = -DLINKALL
 OPT_RESAMPLE= -DRESAMPLE
 OPT_VIS     = -DVISEXPORT
+OPT_IR      = -DIR
 
 SOURCES = \
 	main.c slimproto.c buffer.c stream.c utils.c \
@@ -19,12 +20,14 @@
 SOURCES_FF       = ffmpeg.c
 SOURCES_RESAMPLE = process.c resample.c
 SOURCES_VIS      = output_vis.c
+SOURCES_IR       = ir.c
 
 LINK_LINUX       = -ldl
 
 LINKALL          = -lFLAC -lmad -lvorbisfile -lfaad -lmpg123
 LINKALL_FF       = -lavcodec -lavformat -lavutil
 LINKALL_RESAMPLE = -lsoxr
+LINKALL_IR       = -llirc_client
 
 DEPS             = squeezelite.h slimproto.h
 
@@ -43,6 +46,9 @@
 ifneq (,$(findstring $(OPT_VIS), $(CFLAGS)))
 	SOURCES += $(SOURCES_VIS)
 endif
+ifneq (,$(findstring $(OPT_IR), $(CFLAGS)))
+	SOURCES += $(SOURCES_IR)
+endif
 
 # add optional link options
 ifneq (,$(findstring $(OPT_LINKALL), $(CFLAGS)))
@@ -52,6 +58,9 @@
 endif
 ifneq (,$(findstring $(OPT_RESAMPLE), $(CFLAGS)))
 	LDFLAGS += $(LINKALL_RESAMPLE)
+endif
+ifneq (,$(findstring $(OPT_IR), $(CFLAGS)))
+	LDFLAGS += $(LINKALL_IR)
 endif
 else
 # if not LINKALL and linux add LINK_LINUX

=== debian/changelog ===
squeezelite (1.8-4build1) zesty; urgency=medium

  * Rebuild against drop liblircclient0 dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2016 11:14:10 +0100

squeezelite (1.8-4) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Add lsb-base to Depends for init scripts.
  * Update Vcs-Git/Browser URLs.

 -- Chris Boot <bootc@debian.org>  Sat, 12 Nov 2016 14:06:01 +0000

squeezelite (1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/rename-logs.patch:
    - rename LOG_* functions to avoid clashes with the one in syslog.h
      (Closes: #842330)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Oct 2016 13:50:26 +0100

squeezelite (1.8-3) unstable; urgency=medium

  * debian/man/squeezelite.1: remove mentions of communitysqueeze.org: the
    project and its accompanying web site are now defunct. (Closes: #809183)

 -- Chris Boot <bootc@debian.org>  Sun, 21 Feb 2016 13:09:19 +0000

squeezelite (1.8-2) unstable; urgency=medium

  * Fix FTBFS with ffmpeg 2.9. Thanks Andreas Cadhalpun for both reporting the
    issue and providing a patch to fix it. (Closes: #803882)
  * Use my new debian.org email address.

 -- Chris Boot <bootc@debian.org>  Sun, 10 Jan 2016 10:17:31 +0000

squeezelite (1.8-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches for Makefile changes.
    - Should fix a crash when resampling. (Closes: #774524)
  * Tweak debian/copyright based on debmake -k's suggestions.
  * Enable LIRC support.
  * Bump standards version to 3.8.6 (no changes required).
  * Update debian/man/squeezelite.1 to document new features/options added
    since 1.6.4.

 -- Chris Boot <debian@bootc.net>  Tue, 12 May 2015 19:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,27 @@
 Source: squeezelite
 Section: sound
 Priority: extra
-Maintainer: Chris Boot <debian@bootc.net>
-Build-Depends: debhelper (>= 9~), libasound2-dev, libflac-dev, libmad0-dev,
- libvorbis-dev, libfaad-dev, libmpg123-dev, libsoxr-dev, libavformat-dev,
- portaudio19-dev
-Standards-Version: 3.9.5
+Maintainer: Chris Boot <bootc@debian.org>
+Build-Depends:
+ debhelper (>= 9~),
+ libasound2-dev,
+ libavformat-dev,
+ libfaad-dev,
+ libflac-dev,
+ liblircclient-dev,
+ libmad0-dev,
+ libmpg123-dev,
+ libsoxr-dev,
+ libvorbis-dev,
+ portaudio19-dev,
+Standards-Version: 3.9.8
 Homepage: https://code.google.com/p/squeezelite/
-Vcs-Git: git://anonscm.debian.org/collab-maint/squeezelite.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/squeezelite.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/squeezelite.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/squeezelite.git
 
 Package: squeezelite
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite-pa
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -29,7 +38,7 @@
 
 Package: squeezelite-pa
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version

=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=vcs/git/google/squeezelite .*/v(.*)\.tar.gz

## squeezelite 1.9%2Bgit20210102.78fef68

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: squeezelite
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Chris Boot <bootc@debian.org>
+Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 13),
  libasound2-dev,
  libavformat-dev,
  libfaad-dev,
@@ -11,18 +12,22 @@
  liblircclient-dev,
  libmad0-dev,
  libmpg123-dev,
+ libpulse-dev,
  libsoxr-dev,
+ libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 3.9.8
-Homepage: https://code.google.com/p/squeezelite/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/squeezelite.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/squeezelite.git
+Standards-Version: 4.5.1
+Homepage: https://github.com/ralph-irving/squeezelite
+Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
+Vcs-Browser: https://salsa.debian.org/debian/squeezelite
+Rules-Requires-Root: no
 
 Package: squeezelite
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: squeezelite-pa
+Conflicts: squeezelite-pa, squeezelite-pulseaudio
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
  supporting high quality audio including USB DAC based output at multiple
@@ -38,8 +43,9 @@
 
 Package: squeezelite-pa
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: squeezelite
+Conflicts: squeezelite, squeezelite-pulseaudio
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -53,3 +59,22 @@
  .
  This package is built with the resampling, ffmpeg and visualisation export
  options. It uses PortAudio for audio output.
+
+Package: squeezelite-pulseaudio
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: squeezelite, squeezelite-pa
+Provides: squeezelite
+Description: lightweight headless Squeezebox emulator - PulseAudio version
+ Squeezelite is a small headless Squeezebox emulator. It is aimed at
+ supporting high quality audio including USB DAC based output at multiple
+ sample rates.
+ .
+ It supports decoding PCM (WAV/AIFF), FLAC, MP3, Ogg, AAC, WMA and ALAC
+ audio formats. It can also resample audio, which allows squeezelite to
+ upsample the output to the highest sample rate supported by the output
+ device.
+ .
+ This package is built with the resampling, ffmpeg and visualisation export
+ options. It uses PulseAudio for audio output.

## squeezelite 1.9+git20210102.78fef68

=== debian/changelog ===
squeezelite (1.9+git20210102.78fef68-3) unstable; urgency=medium

  * Upload to unstable.
  * Add debian/gbp.conf for DEP-14 layout.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Jan 2021 10:20:27 -0800

squeezelite (1.9+git20210102.78fef68-2) experimental; urgency=medium

  * Add squeezelite-pulseaudio compiled with PulseAudio instead of ALSA:
    - Add new squeezelite-pulseaudio binary package
    - Add Build-Depends on libpulse-dev
    - squeezelite, -pa, and -pulseaudio conflict with each other

 -- tony mancill <tmancill@debian.org>  Tue, 05 Jan 2021 19:33:16 -0800

squeezelite (1.9+git20210102.78fef68-1) unstable; urgency=medium

  * Initial upload of 1.9.x to unstable
  * New upstream version 1.9+git20210102.78fef68
    Identifies player as "Firmware: v1.9.8-1317"
  * Enable SSL during build
  * Use upstream manpage for squeezelite
  * Update debian/copyright to document OpenSSL exception

 -- tony mancill <tmancill@debian.org>  Sat, 02 Jan 2021 12:46:18 -0800

squeezelite (1.9+git20201216.e02fa87-1) experimental; urgency=medium

  * New upstream version 1.9+git20201216.e02fa87
    Identifies as "Firmware: v1.9.8-1307"
  * Freshen debian/copyright
  * Remove patches applied upstream
  * Remove patch to avoid syslog.h clash with lirc; addressed upstream
  * Update Homepage and Source URLs
  * Disable unused lintian override
  * Document lack of release/tags upstream in debian/watch

 -- tony mancill <tmancill@debian.org>  Wed, 30 Dec 2020 12:37:49 -0800

squeezelite (1.8-5) unstable; urgency=medium

  * Use debhelper-compat 13
  * Update Vcs URLs to point to Salsa
  * Set Rules-Requires-Root: no in debian/control
  * Update Format URL in debian/copyright
  * Bump Standards-Version to 4.5.1
  * Set Priority to "optional"
  * Add Pre-Depends: ${misc:Pre-Depends} to binary packages
  * Add myself to Uploaders

 -- tony mancill <tmancill@debian.org>  Tue, 29 Dec 2020 10:52:27 -0800

squeezelite (1.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with ffmpeg 4.0. Thanks to James Cowgill for the
    patch. (Closes: #888335)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 22:17:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
 # libraries
-export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL
+export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL
 
 # Enable all hardening build flags
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -17,9 +17,9 @@
 %:
 	dh $@
 
-override_dh_auto_build: build_squeezelite build_squeezelite-pa
+override_dh_auto_build: build_squeezelite build_squeezelite-pa build_squeezelite-pulseaudio
 
-override_dh_auto_clean: clean_squeezelite clean_squeezelite-pa
+override_dh_auto_clean: clean_squeezelite clean_squeezelite-pa clean_squeezelite-pulseaudio
 	# This is needed to fully clean built objects if the Makefile patches
 	# are not applied.
 	rm -f *.o dsd2pcm/*.o
@@ -40,5 +40,13 @@
 clean_squeezelite-pa:
 	dh_auto_clean -- EXECUTABLE=squeezelite-pa
 
+build_squeezelite-pulseaudio: OPTS += -DPULSEAUDIO
+build_squeezelite-pulseaudio: clean_squeezelite-pulseaudio
+	dh_auto_build -- EXECUTABLE=squeezelite-pulseaudio
+
+clean_squeezelite-pulseaudio:
+	dh_auto_clean -- EXECUTABLE=squeezelite-pulseaudio
+
 .PHONY: build_squeezelite clean_squeezelite \
-	build_squeezelite-pa clean_squeezelite-pa
+	build_squeezelite-pa clean_squeezelite-pa \
+	build_squeezelite-pulseaudio clean_squeezelite-pulseaudio

=== debian/watch ===
version=4
# debian/watch
# Disabled because upstream does not want to apply tags.  See requests:
# - https://github.com/ralph-irving/squeezelite/issues/29
# - https://github.com/ralph-irving/squeezelite/issues/55
# - https://github.com/ralph-irving/squeezelite/issues/63
# - https://github.com/ralph-irving/squeezelite/issues/107 (yours)
#
# Upstream repo:
#   https://github.com/ralph-irving/squeezelite
#
# The orig.tar.gz is created using `git archive` - for example:
#   git archive --format=tgz --prefix=squeezelite-1.9+git2021216.e02fa87/ --output=../squeezelite_1.9+git20201216.e02fa87.orig.tar.gz e02fa87128debc65e26c582f1a017a20a53d1bcf

## squeezelite 1.9+git20210513.556de56

=== debian/changelog ===
squeezelite (1.9+git20210513.556de56-1) unstable; urgency=medium

  * New upstream version 1.9+git20210513.556de56
    Identifies player as "Firmware: v1.9.9-1386"
  * Update debian/gbp.conf for debian/latest (DEP-14)
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Mon, 23 Aug 2021 08:44:50 -0700

## squeezelite 1.9.9

=== Makefile ===
#Cross compile support - create a Makefile which defines these three variables and then includes this Makefile...
CFLAGS	?= -Wall -fPIC -O2
CFLAGS	+= -fcommon
LDADD	?= -lpthread -lm -lrt
EXECUTABLE ?= squeezelite

# passing one or more of these in $(OPTS) enables optional feature inclusion
OPT_DSD        = -DDSD
OPT_FF         = -DFFMPEG
OPT_ALAC       = -DALAC
OPT_LINKALL    = -DLINKALL
OPT_RESAMPLE   = -DRESAMPLE
OPT_VIS        = -DVISEXPORT
OPT_IR         = -DIR
OPT_GPIO       = -DGPIO
OPT_RPI        = -DRPI
OPT_NO_FAAD    = -DNO_FAAD
OPT_NO_MAD     = -DNO_MAD
OPT_NO_MPG123  = -DNO_MPG123
OPT_SSL        = -DUSE_SSL
OPT_NOSSLSYM   = -DNO_SSLSYM
OPT_OPUS       = -DOPUS
OPT_PORTAUDIO  = -DPORTAUDIO
OPT_PULSEAUDIO = -DPULSEAUDIO

SOURCES = \
	main.c slimproto.c buffer.c stream.c utils.c \
	output.c output_alsa.c output_pa.c output_stdout.c output_pack.c output_pulse.c decode.c \
	flac.c pcm.c vorbis.c

SOURCES_DSD      = dsd.c dop.c dsd2pcm/dsd2pcm.c
SOURCES_FF       = ffmpeg.c
SOURCES_ALAC     = alac.c alac_wrapper.cpp
SOURCES_RESAMPLE = process.c resample.c
SOURCES_VIS      = output_vis.c
SOURCES_IR       = ir.c
SOURCES_GPIO     = gpio.c
SOURCES_RPI      = minimal_gpio.c
SOURCES_FAAD     = faad.c
SOURCES_SSL      = sslsym.c
SOURCES_OPUS     = opus.c
SOURCES_MAD      = mad.c
SOURCES_MPG123   = mpg.c

LINK_LINUX       = -ldl
LINK_ALSA        = -lasound
LINK_PORTAUDIO   = -lportaudio
LINK_PULSEAUDIO  = -lpulse
LINK_SSL         = -lssl -lcrypto
LINK_ALAC        = -lalac

LINKALL          = -lFLAC -lvorbisfile -lvorbis -logg
LINKALL_FF       = -lavformat -lavcodec -lavutil
LINKALL_RESAMPLE = -lsoxr
LINKALL_IR       = -llirc_client
LINKALL_FAAD     = -lfaad
LINKALL_OPUS     = -lopusfile -lopus
LINKALL_MAD      = -lmad
LINKALL_MPG123   = -lmpg123

DEPS             = squeezelite.h slimproto.h

UNAME            = $(shell uname -s)

# add optional sources
ifneq (,$(findstring $(OPT_DSD), $(OPTS)))
	SOURCES += $(SOURCES_DSD)
endif
ifneq (,$(findstring $(OPT_FF), $(OPTS)))
	SOURCES += $(SOURCES_FF)
endif
ifneq (,$(findstring $(OPT_ALAC), $(OPTS)))
	SOURCES += $(SOURCES_ALAC)
	DEPS += alac_wrapper.h
endif
ifneq (,$(findstring $(OPT_OPUS), $(OPTS)))
	SOURCES += $(SOURCES_OPUS)
endif
ifneq (,$(findstring $(OPT_RESAMPLE), $(OPTS)))
	SOURCES += $(SOURCES_RESAMPLE)
endif
ifneq (,$(findstring $(OPT_VIS), $(OPTS)))
	SOURCES += $(SOURCES_VIS)
endif
ifneq (,$(findstring $(OPT_IR), $(OPTS)))
	SOURCES += $(SOURCES_IR)
endif
ifneq (,$(findstring $(OPT_GPIO), $(OPTS)))
	SOURCES += $(SOURCES_GPIO)
endif
ifneq (,$(findstring $(OPT_RPI), $(OPTS)))
	SOURCES += $(SOURCES_RPI)
endif
# ensure GPIO is enabled with RPI
ifneq (,$(findstring $(OPT_RPI), $(OPTS)))
ifeq (,$(findstring $(SOURCES_GPIO), $(SOURCES)))
	CFLAGS += $(OPT_GPIO)
	SOURCES += $(SOURCES_GPIO)
endif
endif
ifeq (,$(findstring $(OPT_NO_FAAD), $(OPTS)))
	SOURCES += $(SOURCES_FAAD)
endif
ifneq (,$(findstring $(OPT_SSL), $(OPTS)))
	SOURCES += $(SOURCES_SSL)
endif
ifeq (,$(findstring $(OPT_NO_MAD), $(OPTS)))
	SOURCES += $(SOURCES_MAD)
endif
ifeq (,$(findstring $(OPT_NO_MPG123), $(OPTS)))
	SOURCES += $(SOURCES_MPG123)
endif

# add optional link options
ifneq (,$(findstring $(OPT_LINKALL), $(OPTS)))
	LDADD += $(LINKALL)
ifneq (,$(findstring $(OPT_FF), $(OPTS)))
	LDADD += $(LINKALL_FF)
endif
ifneq (,$(findstring $(OPT_OPUS), $(OPTS)))
	LDADD += $(LINKALL_OPUS)
endif
ifneq (,$(findstring $(OPT_RESAMPLE), $(OPTS)))
	LDADD += $(LINKALL_RESAMPLE)
endif
ifneq (,$(findstring $(OPT_IR), $(OPTS)))
	LDADD += $(LINKALL_IR)
endif
ifeq (,$(findstring $(OPT_NO_FAAD), $(OPTS)))
	LDADD += $(LINKALL_FAAD)
endif	
ifneq (,$(findstring $(OPT_SSL), $(OPTS)))
	LDADD += $(LINK_SSL)
endif
ifeq (,$(findstring $(OPT_NO_MAD), $(OPTS)))
	LDADD += $(LINKALL_MAD)
endif
ifeq (,$(findstring $(OPT_NO_MPG123), $(OPTS)))
	LDADD += $(LINKALL_MPG123)
endif
else
# if not LINKALL and linux add LINK_LINUX
ifeq ($(UNAME), Linux)
	LDADD += $(LINK_LINUX)
endif
ifneq (,$(findstring $(OPT_NOSSLSYM), $(OPTS)))
	LDADD += $(LINK_SSL)
endif
endif

ifneq (,$(findstring $(OPT_PULSEAUDIO), $(OPTS)))
	LDADD += $(LINK_PULSEAUDIO)
else ifneq (,$(findstring $(OPT_PORTAUDIO), $(OPTS)))
	LDADD += $(LINK_PORTAUDIO)
else
	LDADD += $(LINK_ALSA)
endif

ifneq (,$(findstring $(OPT_ALAC), $(OPTS)))
	LDADD += $(LINK_ALAC)
endif

OBJECTS = $(addsuffix .o,$(basename $(SOURCES)))

all: $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
ifneq (,$(findstring $(OPT_ALAC), $(OPTS)))
	$(CXX) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@
else
	$(CC) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@
endif

$(OBJECTS): $(DEPS)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CFLAGS) $(CPPFLAGS) $(OPTS) -Wno-multichar $< -c -o $@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(OPTS) $< -c -o $@

clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

print-%:
	@echo $* = $($*)

## squeezelite 1.9.9-1392+git20211113.3ffdbb9

=== debian/changelog ===
squeezelite (1.9.9-1392+git20211113.3ffdbb9-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:21:55 +0100

squeezelite (1.9.9-1392+git20211113.3ffdbb9-1) unstable; urgency=medium

  * New upstream version 1.9.9-1392+git20211113.3ffdbb9
  * Include full player version in the upstream version.
    This matches how the player reports its version to LMS
    and is more closely aligned with the versioning in Fedora.

 -- tony mancill <tmancill@debian.org>  Sat, 13 Nov 2021 13:53:51 -0800

## squeezelite 1.9.9-1395+git20220104.874e4f9

=== debian/changelog ===
squeezelite (1.9.9-1395+git20220104.874e4f9-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:08:02 +0000

squeezelite (1.9.9-1395+git20220104.874e4f9-1) unstable; urgency=medium

  * New upstream version 1.9.9-1395+git20220104.874e4f9
    No longer use deprecated ffmpeg functions

 -- tony mancill <tmancill@debian.org>  Sun, 09 Jan 2022 09:13:26 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite

## squeezelite 1.9.9-1414+git20221121.dbe69eb

=== debian/changelog ===
squeezelite (1.9.9-1414+git20221121.dbe69eb-1) unstable; urgency=medium

  * New upstream version 1.9.9-1414+git20221121.dbe69eb
  * Enable -DOPUS and add build-dep on libopus-dev and libopusfile-dev

 -- tony mancill <tmancill@debian.org>  Sat, 10 Dec 2022 16:19:57 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,6 +12,8 @@
  liblircclient-dev,
  libmad0-dev,
  libmpg123-dev,
+ libopus-dev,
+ libopusfile-dev,
  libpulse-dev,
  libsoxr-dev,
  libssl-dev,

## squeezelite 1.9.9-1449+git20230814.8581aba

=== debian/changelog ===
squeezelite (1.9.9-1449+git20230814.8581aba-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:21:15 +0200

squeezelite (1.9.9-1449+git20230814.8581aba-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:04 +1100

squeezelite (1.9.9-1449+git20230814.8581aba-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:25:25 +0000

squeezelite (1.9.9-1449+git20230814.8581aba-1) unstable; urgency=medium

  * New upstream version 1.9.9-1449+git20230814.8581aba
  * Drop dependency on lsb-base
  * Bump Standards-Version to 4.6.2
  * Replace build-dep on liblircclient-dev with liblirc-dev

 -- tony mancill <tmancill@debian.org>  Tue, 28 Nov 2023 10:57:13 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,7 +10,7 @@
  libavformat-dev,
  libfaad-dev,
  libflac-dev,
- liblircclient-dev,
+ liblirc-dev,
  libmad0-dev,
  libmpg123-dev,
  libopus-dev,
@@ -19,7 +20,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite
@@ -28,7 +29,7 @@
 Package: squeezelite
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite-pa, squeezelite-pulseaudio
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -46,7 +47,7 @@
 Package: squeezelite-pa
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite, squeezelite-pulseaudio
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version
@@ -65,7 +66,7 @@
 Package: squeezelite-pulseaudio
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite, squeezelite-pa
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PulseAudio version

=== debian/watch ===
version=4
# debian/watch
# Upstream does not apply tags.  See requests:
# - https://github.com/ralph-irving/squeezelite/issues/29
# - https://github.com/ralph-irving/squeezelite/issues/55
# - https://github.com/ralph-irving/squeezelite/issues/63
# - https://github.com/ralph-irving/squeezelite/issues/107 (yours)
#
# Upstream repo:
#   https://github.com/ralph-irving/squeezelite
#
# The orig.tar.gz is created using `git archive` against the upstream repo - for example:
#   git archive --format=tgz --prefix=squeezelite-1.9.9-1414+git20221121.dbe69eb/ --output=../squeezelite_1.9.9-1414+git20221121.dbe69eb.orig.tar.gz dbe69eb8aa88f644cfb46541d6cef72fa666570d
#
# the major, minor, and micro versions are taken from https://github.com/ralph-irving/squeezelite/blob/master/squeezelite.h

opts="mode=git,pgpmode=none,pretty=1.9.9-xxxx+git%cd.%h" \
    https://github.com/ralph-irving/squeezelite heads/master debian

## squeezelite 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #Cross compile support - create a Makefile which defines these three variables and then includes this Makefile...
 CFLAGS	?= -Wall -fPIC -O2
-CFLAGS	+= -fcommon
+CFLAGS	+= -fcommon -std=gnu99
 LDADD	?= -lpthread -lm -lrt
 EXECUTABLE ?= squeezelite
 
@@ -35,7 +35,6 @@
 SOURCES_VIS      = output_vis.c
 SOURCES_IR       = ir.c
 SOURCES_GPIO     = gpio.c
-SOURCES_RPI      = minimal_gpio.c
 SOURCES_FAAD     = faad.c
 SOURCES_SSL      = sslsym.c
 SOURCES_OPUS     = opus.c
@@ -46,6 +45,7 @@
 LINK_ALSA        = -lasound
 LINK_PORTAUDIO   = -lportaudio
 LINK_PULSEAUDIO  = -lpulse
+LINK_RPI         = -lgpiod
 LINK_SSL         = -lssl -lcrypto
 LINK_ALAC        = -lalac
 
@@ -88,13 +88,10 @@
 ifneq (,$(findstring $(OPT_GPIO), $(OPTS)))
 	SOURCES += $(SOURCES_GPIO)
 endif
-ifneq (,$(findstring $(OPT_RPI), $(OPTS)))
-	SOURCES += $(SOURCES_RPI)
-endif
 # ensure GPIO is enabled with RPI
 ifneq (,$(findstring $(OPT_RPI), $(OPTS)))
 ifeq (,$(findstring $(SOURCES_GPIO), $(SOURCES)))
-	CFLAGS += $(OPT_GPIO)
+	OPTS += $(OPT_GPIO)
 	SOURCES += $(SOURCES_GPIO)
 endif
 endif
@@ -128,7 +125,7 @@
 endif
 ifeq (,$(findstring $(OPT_NO_FAAD), $(OPTS)))
 	LDADD += $(LINKALL_FAAD)
-endif	
+endif
 ifneq (,$(findstring $(OPT_SSL), $(OPTS)))
 	LDADD += $(LINK_SSL)
 endif
@@ -160,6 +157,10 @@
 	LDADD += $(LINK_ALAC)
 endif
 
+ifneq (,$(findstring $(OPT_RPI), $(OPTS)))
+	LDADD += $(LINK_RPI)
+endif
+
 OBJECTS = $(addsuffix .o,$(basename $(SOURCES)))
 
 all: $(EXECUTABLE)

## squeezelite 2.0.0-1481+git20240404.c751ef1

=== debian/changelog ===
squeezelite (2.0.0-1481+git20240404.c751ef1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Thu, 02 May 2024 20:49:46 -0700

squeezelite (2.0.0-1481+git20240404.c751ef1-1) experimental; urgency=medium

  * New upstream version 2.0.0-1481+git20240404.c751ef1

 -- tony mancill <tmancill@debian.org>  Sat, 06 Apr 2024 15:39:29 -0700

squeezelite (2.0.0-1476+git20240328.7bba683-1) experimental; urgency=medium

  * New upstream version 2.0.0-1476+git20240328.7bba683
  * Upload to experimental due to ongoing transitions
  * Update Maintainer field as per discussion with Chris Boot.
    Thank you Chris for taking care of squeezelite for so long.
  * Add "debian/get-upstream-tarball.sh" to make updating easier and
    replace debian/watch with a no-op, since it doesn't accurately
    report new upstream versions.

 -- tony mancill <tmancill@debian.org>  Thu, 28 Mar 2024 15:59:24 -0700

## squeezelite 2.0.0-1488+git20240509.0e85ddf

=== debian/changelog ===
squeezelite (2.0.0-1488+git20240509.0e85ddf-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:25:26 +0200

squeezelite (2.0.0-1488+git20240509.0e85ddf-1) unstable; urgency=medium

  * New upstream version 2.0.0-1488+git20240509.0e85ddf
    Fixes FTBFS against ffmpeg 7.0 (Closes: #1072452)

 -- tony mancill <tmancill@debian.org>  Sun, 02 Jun 2024 09:15:48 -0700

## squeezelite 2.0.0-1517+git20241227.262994a

=== debian/changelog ===
squeezelite (2.0.0-1517+git20241227.262994a-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:39:31 -0500

squeezelite (2.0.0-1517+git20241227.262994a-1) unstable; urgency=medium

  * New upstream version 2.0.0-1517+git20241227.262994a

 -- tony mancill <tmancill@debian.org>  Thu, 02 Jan 2025 12:25:45 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
-Uploaders: tony mancill <tmancill@debian.org>
+Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
@@ -20,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite

## squeezelite 2.0.0-1541+git20250609.72e1fd8

=== debian/changelog ===
squeezelite (2.0.0-1541+git20250609.72e1fd8-1) unstable; urgency=medium

  * New upstream version 2.0.0-1541+git20250609.72e1fd8
  * Add systemd unit file (Closes: #1039382)
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2
  * Update example in /etc/default/squeezelite

 -- tony mancill <tmancill@debian.org>  Mon, 20 Oct 2025 20:14:12 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
-# libraries
-export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL
+# Enable ffmpeg, sox resampling, visualisation export, opus,
+# and disable dlopening libraries
+export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL -DOPUS -I/usr/include/opus
 
 # Enable all hardening build flags
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -26,6 +26,9 @@
 
 override_dh_installinit:
 	dh_installinit --name=squeezelite
+
+override_dh_installsystemd:
+	dh_installsystemd --name=squeezelite
 
 build_squeezelite: clean_squeezelite
 	dh_auto_build -- EXECUTABLE=squeezelite

=== debian/watch ===
# Upstream doesn't generate tags, but squeezelite does have a version
# string that we want to expose in the package version.
#
# Therefore, instead of having debian/watch report odd versions, the
# maintainer is a watcher of all activity in the upstream repo.
#
# See debian/get-upstream-tarball.sh and debian/watch-local for details.
